import IClient from '../types/client';
import IConfiguration from '../types/configuration';
import Application from '../types/input/application';
import AnalyticsEventsRepository from './repositories/analytics-events';
import PermissionsRepository from './repositories/permissions';
import PronunciationsRepository from './repositories/pronunciations';
export default class Client implements IClient {
    readonly pronunciations: PronunciationsRepository;
    readonly analyticsEvents: AnalyticsEventsRepository;
    readonly permissions: PermissionsRepository;
    readonly application: Application;
    constructor(application: Application, configuration: IConfiguration);
}
