import PermissionsManager from '../../lib/permissions-manager';
export declare enum Resources {
    Pronunciation = "pronunciation",
    UserResponse = "user_response",
    RecordingRequest = "recording_request"
}
export declare type ResourcePermissions = Record<Resources, string[]>;
export default interface IPronunciationsRepo {
    load: () => Promise<PermissionsManager>;
}
